Subject: Re: bug#21738: 25.0.50; eww freezes/crashes at times

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Oct 2015 23:12:55 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Fri, 23 Oct 2015 15:52:59 -0400
> Cc: Glenn Morris <[email-masked]>, [email-masked]
> 
> Also I don't know how to kill an emacs session frozen in gdb other
> than doing Ctrl-d in gdb.

You can type "kill" at the GDB prompt.

> I will now keep the frozen gdb session active.. which frame is
> important for you to debug this?  I saw that #63 in the first attached
> log had Fsignal (is that what you are looking for?)
> > #63 0x00000000005f593e in Fsignal (error_symbol=48816, data=29334659) at eval.c:1506
> 
> I tried couple of times after that.. but those backtraces did not have
> that Fsignal line.

I guess it's unrelated to the problem.

The file etc/DEBUG has a section that explains how to find where Emacs
is inflooping.  Can you try that technique and report the results?